import { JumboObject } from '../base/jumboObject';
import { AdditionalRequestOptions } from '../jumbo';
import { BasketModel, PutBasketItems, PutBasketResponse } from './basketModel';
export declare class Basket extends JumboObject {
    /**
     * Gets basket
     */
    getMyBasket(additionalRequestOptions?: AdditionalRequestOptions): Promise<BasketModel>;
    /**
     * Updates basket with items, overwriting existing items
     * @param productJson Items with quantity, sku and unit
     */
    updateBasket(productJson: PutBasketItems, additionalRequestOptions?: AdditionalRequestOptions): Promise<PutBasketResponse>;
}
